Page MenuHomePhabricator

[PredicateInfo] Stable sort ValueDFS to remove non-deterministic ordering
ClosedPublic

Authored by mgrang on Nov 4 2017, 11:47 AM.

Details

Summary

This fixes failure in Transforms/Util/PredicateInfo/testandor.ll uncovered by D39245.

Diff Detail

Repository
rL LLVM

Event Timeline

mgrang created this revision.Nov 4 2017, 11:47 AM
mgrang updated this revision to Diff 121612.Nov 4 2017, 8:28 PM
mgrang added a comment.Nov 9 2017, 8:14 AM

Ping for reviews please.

Ping 2 for reviews please.

dberlin accepted this revision.Nov 14 2017, 10:17 AM
This revision is now accepted and ready to land.Nov 14 2017, 10:17 AM
This revision was automatically updated to reflect the committed changes.